Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3007 - do not let rpm accept large values for certain fields
Summary: do not let rpm accept large values for certain fields
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-24 17:41 UTC by jauderho
Modified: 2007-04-18 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 21:47:52 UTC


Attachments (Terms of Use)

Description jauderho 1999-05-24 17:41:15 UTC
On Mon, May 24, 1999 at 10:07:04AM -0700, Jauder Ho wrote:
>
> Feature request for the next rev of rpm. I am developing
the rpmSearch
> tool for Redhat (soon to be joining Redhat too).
>
> Basically people are putting gratuitously long lines in
fields such as
> Packager and License. Since I intend for the field to be
indexed by the
> database, it cannot be a super long string. Currently it's
set to 255
> chars although if we can make it shorter, it would be even
better. This is
> to head off instances where people have put the entire
text of the GPL in
> the license field which is a BAD thing. Thanks.
>
> --Jauder


> Jauder Ho <jauderho@carumba.com> writes:
> >
> > Bunch of errors still popping up. There are some issues
such as people
> > having extraordinarily long Packager lines. I've bumped
up the size from
> > 100 to 255. Hopefully that will hold it for a bit.
Bumping it by too much
> > is not advisible as this might have to be an indexed
column in the future
> > and I would like to strongly discourage gratuitous
strings.
> >
> > Can we have some checks in the next release of rpm built
so that certain
> > strings are of a reasonable length and silly control
chars are stripped
> > out too? Who do I talk to for this?
>

Comment 1 jauderho 1999-05-24 17:42:59 UTC
actually Jeff Johnson <jbj@redhat.com>
said he would look into this one. Maintainer might want to talk to him
about it.

Comment 2 Bill Nottingham 2005-09-29 21:47:52 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.


Note You need to log in before you can comment on or make changes to this bug.